network/icecat: Miscellaneous cleanups.

This commit is contained in:
Robby Workman 2010-05-19 14:35:52 -05:00
parent b4a7632b2d
commit 5d19d41684
3 changed files with 21 additions and 22 deletions

View file

@ -1,23 +1,10 @@
GNU IceCat is the GNU version of the Firefox browser.
Its main advantage is an ethical one: it is entirely free software.
While the principal source code from the Mozilla project is free software, the distribution contains various problematic files,
the EULA they require for use of their binaries is troublesome, and they distribute and recommend non-free software as plug-ins.
In addition, GNU IceCat includes some privacy protection features, included in a separate addon:
1. Some sites refer to zero-size images on other hosts to keep track of cookies.
When IceCat detects this mechanism it blocks cookies from the site hosting the zero-length image file.
(It is possible to re-enable such a site by removing it from the blocked hosts list.)
2. Other sites rewrite the host name in links redirecting the user to another site, mainly to "spy" on clicks.
When this behavior is detected, IceCat shows a message alerting the user.
The default configuration of IceCat uses the following libraries:
libpango libpangoxft libpangoft2 libfreetype libxft libgtk2 libx11
You also need the libnotify library >= 0.4 ( http://www.galago-project.org/news/index.php )
Refer to your distro help as needed if the configure script fails to
find them.
While the principal source code from the Mozilla project is free software,
the distribution contains various problematic files, the EULA they require
for use of their binaries is troublesome, and they distribute and recommend
non-free software as plug-ins.
In addition, GNU IceCat includes some privacy protection features included
in a separate addon:

View file

@ -5,10 +5,19 @@
PRGNAM="icecat"
VERSION="3.6"
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) export ARCH=i486 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@ -23,6 +32,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
fi
set -e
@ -31,7 +43,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvjf $CWD/${PRGNAM}-$VERSION.tar.bz2 || exit 1
tar xvf $CWD/${PRGNAM}-$VERSION.tar.bz2 || exit 1
cd ${PRGNAM}-$VERSION
chown -R root:root .
find . \